pika_feedback_app 1.0.0+7

  • Readme
  • Changelog
  • Example
  • Installing
  • 49

feedback_app #

A new Flutter project.

Getting Started #

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

1.0.0+7 #

  • Update chat page

1.0.0+6 #

  • Update home page

1.0.0+5 #

  • Update example

1.0.0+4 #

  • Change model to new folder
  • Move MultiProvider to feedback_page.dart

1.0.0+3 #

  • Fix warning name

1.0.0+2 #

  • Adding Example

1.0.0+1 #

  • Adding Widgets

example/main.dart

import "package:pika_feedback_app/feedback_page.dart";
import 'package:flutter/material.dart';

class Example extends StatelessWidget {
  const Example({Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: FeedbackPage(
        hasDrawer: true,
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  pika_feedback_app: ^1.0.0+7

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:pika_feedback_app/chat_card.dart';
import 'package:pika_feedback_app/custom_feedback.dart';
import 'package:pika_feedback_app/feedback_item.dart';
import 'package:pika_feedback_app/feedback_page.dart';
import 'package:pika_feedback_app/index.dart';
import 'package:pika_feedback_app/main.dart';
import 'package:pika_feedback_app/model/feedback_app_model.dart';
import 'package:pika_feedback_app/new_feedback.dart';
import 'package:pika_feedback_app/page/feedback_item_chat.dart';
import 'package:pika_feedback_app/page/message_page.dart';
import 'package:pika_feedback_app/pick_image_row.dart';
import 'package:pika_feedback_app/select_category.dart';
import 'package:pika_feedback_app/support_item.dart';
import 'package:pika_feedback_app/upload_box.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
95
Overall:
Weighted score of the above. [more]
49
Learn more about scoring.

We analyzed this package on Oct 17, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/page/feedback_item_chat.dart. (-0.50 points)

Analysis of lib/page/feedback_item_chat.dart reported 1 hint:

line 49 col 12: The value of the local variable 'triSize' isn't used.

Format lib/feedback_item.dart.

Run flutter format to format lib/feedback_item.dart.

Maintenance suggestions

Homepage URL is insecure. (-5 points)

Update the homepage field and use a secure (https) URL.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.2.2 <3.0.0
flutter 0.0.0
image_picker ^0.6.0+9 0.6.1+8
provider ^3.0.0+1 3.1.0+1
url_launcher ^5.0.3 5.2.1
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8